* 2.2.1
- added riscv64 to supported arch
== Kunal Sinha <kunal.sinha@samsung.com> 2024-03-13
* 2.2.0
- New branch for support tizen_studio_3.5
== Gaurang Khanwalkar <g.khanwalkar@samsung.com> 2018-11-16
* 2.1.306
- Version Up
== Aditya Aswani <a.aswani@samsung.com> 2018-08-16
* 2.1.302
- Migrate Debugger from CDI to DSF
== Karthik Bhat <kv.bhat@samsung.com> 2018-01-31
* 2.1.301
- fix a bug
== JaeMin Kim <jm.jemin.kim@samsung.com> 2017-09-19
* 2.1.300
- merge opensrc 2.1.297,2.1.298 to develop bellow commits
- SVACE: fix bugs(critical, major)
- SVACE: fix bugs
- SVACE: Improper expression has been corrected.
- SVACE: 256629,256631 - DEREF_OF_NULL.EX
- SVACE: 256628, 256630 - DEREF_OF_NULL.EX
- SVACE: 256627 - DEREF_OF_NULL.EX
- SVACE: 256625 - DEREF_OF_NULL.EX
- SVACE: 256623,256624, 256626 - DEREF_OF_NULL.EX
- SVACE: 256491 - NULL_AFTER_DEREF
- SVACE: Fix critical bugs.
- Version up to build package for tizen_studio_1.3 dist.
== JaeMin Kim <jm.jemin.kim@samsung.com> 2017-09-18
* 2.1.299
- validate url or repository
- remove unnecessary label.
- support cancel at build time
== JaeMin Kim <jm.jemin.kim@samsung.com> 2017-06-28
* 2.1.298
- Github Version up
- ROOTSTRAP: support modification of rootstrap.
== JaeMin Kim <jm.jemin.kim@samsung.com> 2017-06-23
* 2.1.297
- ROOTSTRAP: support creation on MBCS path
== Byeongki Shin <bk0121.shin@samsung.com> 2017-04-21
* 2.1.296
- LAUNCH: fix launch to support 3.0 platform
== Byeongki Shin <bk0121.shin@samsung.com> 2017-04-05
* 2.1.295
- ROOTSTRAP: set work around about gbs architecture bug
== JaeMin Kim <jm.jemin.kim@samsung.com> 2017-03-29
* 2.1.294
- PLUGIN: remove cmake plugin
== JaeMin Kim <jm.jemin.kim@samsung.com> 2016-12-12
* 2.1.293
- Fix a bug about not showing launch icon.
== HyoCheol Ahn <hyocheol.ahn@samsung.com> 2016-11-24
* 2.1.292
- MISC: modify the time when do you get root privilage
== JaeMin Kim <jm.jemin.kim@samsung.com> 2016-10-24
* 2.1.291
- Change perspective and rootstrap view icon
- Enable coredump debugging menu
- Change bundle information
== ChangHyun Lee <leechwin.lee@samsung.com> 2016-09-28
* 2.1.290
- MISC: modify C-Prerequisites
- MISC: remove default page image of password wizard
== DongHyuk Yang <dong.h.yang@samsung.com> 2016-09-22
* 2.1.289
- MISC: set C-Prerequisites
== DongHyuk Yang <dong.h.yang@samsung.com> 2016-09-21
* 2.1.288
- DEBUG: hide coredump debugging menu temporarily
== DongHyuk Yang <dong.h.yang@samsung.com> 2016-09-20
* 2.1.287
- modify 'Tizen Platform' perspective
- modify package dependency
== DongHyuk Yang <dong.h.yang@samsung.com> 2016-09-19
* 2.1.286
- ROOTSTRAP: add DNS-info. from host to rootstrap
- DEBUG: enable Debug on platform project with latest SBILIB
- Merge branch 'develop' into sdk
== DongHyuk Yang <dong.h.yang@samsung.com> 2016-09-19
* 2.1.285
- Version up
== donghyuk yang <dong.h.yang@samsung.com> 2016-09-19
* 2.1.283
- PRODUCT: Change IDE.app name to TizenStudio.app
== yoonki.park <yoonki.park@samsung.com> 2016-08-16
* 2.1.282
- MISC: upload bulk pkg
== yoonki.park <yoonki.park@samsung.com> 2016-06-09
* 2.1.281
- MISC: Removed Perforce plugin from 'nativeplatform-eplugin' package
- BUILD: Removed Perforce plugin dependency
== donghyuk yang <dong.h.yang@samsung.com> 2016-01-20
* 2.1.280
- GBS: Changed title of GBSOptiontab on settings
== yoonki.park <yoonki.park@samsung.com> 2015-01-14
* 2.1.279
- ROOTSTRAP: Bugs fixed about Failed to manage packages
- DEBUG: modified a way of passing interrupt signal to gdb process
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2015-01-12
* 2.1.278
- ROOTSTRAP: Bugs fixed about Failed to manage packages
- DEBUG: modified a way of passing interrupt signal to gdb process
- ROOTSTRAP: Rootstrap view shows rootstraps only if selected project is a platform project
- Removed warnning msg from rpm
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2015-01-12
* 2.1.277
- BUILD: Added git dummy commit for build a project
== yoonki.park <yoonki.park@samsung.com> 2015-12-22
* 2.1.276
- BUILD: Applied CommonProjectDependentPackager changes
== donghyuk yang <dong.h.yang@samsung.com> 2015-12-15
* 2.1.275
- WIZARD: Support to import rpm project to eclipse
== yoonki.park <yoonki.park@samsung.com> 2015-12-13
* 2.1.274
- LAUNCH: Fixed port forwarding issue on debugging
- ROOTSTRAP: Show remote host information in windows plugin (org.tizen.nativeplatform.win)
- WIZARD: Set project name validation check
- ETC: Added org.eclipse.cdt.dsf.gdb package dependency (ubuntu)
- ROOTSTRAP: Clear repositories when changing architerture on rootstrap generation wizard
- ROOTSTRAP: Added title string for rootstrap import dialog (ubuntu)
- ROOTSTRAP: Added /icon folder to build.properties
- ROOTSTRAP: Fixed wrong Activator which is imported in ActionImportRootstrap.java (ubuntu)
- DEBUG: Supported to remove SDB port forwarding (ubuntu)
- BUILD: Supported GBS --extra-packs option (ubuntu)
- LAUNCH: Fixed package installation issue with RPM (ubuntu)
== donghyuk yang <dong.h.yang@samsung.com> 2015-12-30
* 2.1.273
- BUILD: Support VBS build command only
== yoonki.park <yoonki.park@samsung.com> 2015-12-04
* 2.1.272
- PROJECT: Create. tproject when converting platform project
== donghyuk yang <dong.h.yang@samsung.com> 2015-11-30
* 2.1.271
- DEBUG: Uses IGDBLaunchConfigurationConstants.ATTR_HOST
- ROOTSTRAP: Do not show the device configuration if device does not have .repo file when creating rootstrap based on device configuration
- DEBUG: Supported SDB port forwarding
- ROOTSTRAP: Focus password text control on remote connection dialog when using connection history
- BUILD: Added "--skkp-p4check" option to build command
- Show import project icon
== donghyuk yang <dong.h.yang@samsung.com> 2015-11-27
* 2.1.270
- ROOTSTRAP: Supported to manage build server connection history
== donghyuk yang <dong.h.yang@samsung.com> 2015-11-19
* 2.1.269
- Modified to create project in background
== hyocheol.ahn <hyocheol.ahn@samsung.com> 2015-11-05
* 2.1.268
- Fixed UI freezing on new project wizard
- Minor issues are fixed
== sanghyunnim.lee <sanghyunnim.lee@samsung.com> 2015-11-04
* 2.1.267
- Revert commits
== donghyuk yang <dong.h.yang@samsung.com> 2015-10-27
* 2.1.266
- Revert commits
== donghyuk yang <dong.h.yang@samsung.com> 2015-10-27
* 2.1.265
- Revert commits
== donghyuk yang <dong.h.yang@samsung.com> 2015-10-27
* 2.1.264
- Revert commits
== donghyuk yang <dong.h.yang@samsung.com> 2015-10-27
* 2.1.263
- Revert commits
== donghyuk yang <dong.h.yang@samsung.com> 2015-10-27
* 2.1.262
- Applied common-eplugin's change
== gune.kim <gune.kim@samsung.com> 2015-10-20
* 2.1.261
- Set disable build the rpm packages proposals list by default
== yoonki.park <yoonki.park@samsung.com> 2015-10-08
* 2.1.260
- ROOTSTRAP: Added additional urls in using snapshot url.
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2015-10-07
* 2.1.259
- LAUNCH: Modified button text on launch wizard
- SYNC: Synchronize resources in debug source path always
- ROOTSTRAP: Added new default urls in using snapshot url.
== donghyuk yang <dong.h.yang@samsung.com> 2015-10-07
* 2.1.258
- DEBUG: Fixed gdbserver push problem
== donghyuk yang <dong.h.yang@samsung.com> 2015-10-06
* 2.1.257
- Change convert project msg from confirm dialog
- ROOTSTRAP: Update rootstrap description after building project
- Add hyperuart icon to main toolbar
- COREDUMP: Changed coredump path
== donghyuk yang <dong.h.yang@samsung.com> 2015-10-06
* 2.1.255
- TTRACE: change profile with trace menu label to T-trace
== yoonki.park <yoonki.park@samsung.com> 2015-10-06
* 2.1.254
- WIZARD: removed convert platform project menu
== yoonki.park <yoonki.park@samsung.com> 2015-10-05
* 2.1.253
- ROOTSTRAP: Show connection error message if base url is invalid
- ROOTSTRAP: Get snapshot list if enter key is pressed on url combo box
- ROOTSTRAP: Save the latest snapshot
- ROOTSTRAP: Set the latest snapshot as default when wizard is opened
- COREDUMP: Show error message if rootstrap is crashed during coredump debugging
- ROOTSTRAP: Do not check build.xml in case of debug repository when creating a new rootstrap
== donghyuk yang <dong.h.yang@samsung.com> 2015-10-05
* 2.1.252
- Show hyperuart icon
== yoonki.park <yoonki.park@samsung.com> 2015-10-05
* 2.1.251
- ROOTSTRAP: Fixed the bug about adding empty
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2015-09-23
* 2.1.250
- ENV: Changed perspective icon
== donghyuk yang <dong.h.yang@samsung.com> 2015-09-23
* 2.1.249
- ENV: Changed perspective name
== donghyuk yang <dong.h.yang@samsung.com> 2015-09-23
* 2.1.248
- ROOTSTRAP: Saved previous rootstrap creation Action
- ROOTSTRAP: Add exceptions when NoSnapshotList, MalformedURL
- ROOTSTRAP: Users can search snapshot lists by using ENTER key
- Add error massage type in SnapshotListParser
- Show connection explorer when launching IDE
== donghyuk yang <dong.h.yang@samsung.com> 2015-09-23
* 2.1.247
- ROOTSTRAP: added Default Repositories in Using snapshot List
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2015-09-17
* 2.1.246
- CONNECTION: add toolbar to connect hyperuart
== yoonki.park <yoonki.park@samsung.com> 2015-09-17
* 2.1.245
- DEBUG: enable codedump debugging
== yoonki.park <yoonki.park@samsung.com> 2015-09-14
* 2.1.244
- LAUNCH: Save package install information as persistent property of project
- LAUNCH: Simplify package and install tool selection in launch wizard
== donghyuk yang <dong.h.yang@samsung.com> 2015-09-09
* 2.1.243
- ROOTSTRAP: fixed bugs about replace Path(temporaily)
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2015-08-31
* 2.1.242
- ROOTSTRAP: Disable rootstrap initializing when opening package manager.
- BUILD: Show error message if rootstrap is not set when building a project.
- SYNC: Enable "delete" option of rync command when synchronizing workspace
- BUILD: Check IRootstrapManagerProxy is null
- BUILD: User can set "--extra-packs" option manually when building a project
- BUILD: Enable Language Settings Provider
== donghyuk yang <dong.h.yang@samsung.com> 2015-08-29
* 2.1.241
- DEBUG: Disable to copy gdb 7.6 binary
== donghyuk yang <dong.h.yang@samsung.com> 2015-08-29
* 2.1.240
- Modified to set default remote device information
== donghyuk yang <dong.h.yang@samsung.com> 2015-08-28
* 2.1.239
- Modified to set default remote device information
== donghyuk yang <dong.h.yang@samsung.com> 2015-08-28
* 2.1.238
- ETC: Added gdb 7.6 binary
- DEBUG: Change gdb binary (7.6) before debugging
- MISC: added default remote device information.
- ROOTSTRAP: Show error message if project is not a platform project during rootstrap selection.
- LAUNCH: Disable "Install As Platform Project" menu
== donghyuk yang <dong.h.yang@samsung.com> 2015-08-28
* 2.1.237
- GDB: checked if signed gdbserver file exist
- ROOTSTRAP: Supported to geneate a rootstrap based on repositories which user input manually.
- ROOTSTRAP: Resolved the problem that .gbs.conf's profile does not have any repository.
- ROOTSTRAP: Changed base architecture from i386 to i586 when generating a rootstrap.
- UTIL: Modified local repository validation
- ROOTSTRAP: Do not use build.xml when parsing package repository url
- BUILD: Removed Language setting provider (temporary)
- ROOTSTRAP: Do not show error dialog when project in project explorer is not a platform project.
- ROOTSTRAP: Changed RSA repository Url for PreJazz
== donghyuk yang <dong.h.yang@samsung.com> 2015-08-27
* 2.1.236
- ROOTSTRAP: Enable to generate a rootstrap using .gbs.conf file
== donghyuk yang <dong.h.yang@samsung.com> 2015-08-25
* 2.1.235
- BUILD: Zypper excludes in Extra packages Temporarily from vbs
- LAUNCH: Bug fixed that Pid doesnt exists
== yoonki.park <yoonki.park@samsung.com> 2015-08-24
* 2.1.234
- BUILD: Zypper excludes in Extra packages Temporarily
- LAUNCH: Bug fixed that Pid doesnt exists
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2015-08-24
* 2.1.233
- DEBUG: Supported to input PID and binary path manually when attach debugging
== donghyuk yang <dong.h.yang@samsung.com> 2015-08-24
* 2.1.232
- LAUNCH: Disable RDS (Unstable)
== donghyuk yang <dong.h.yang@samsung.com> 2015-08-19
* 2.1.231
- HyperUart: Disable autoconnect to hyperuart
== yoonki.park <yoonki.park@samsung.com> 2015-08-19
* 2.1.230
- DEBUG: Set local forward on hyperuart
== yoonki.park <yoonki.park@samsung.com> 2015-08-19
* 2.1.229
- DEBUG: Split two views from rpm install wizard
== yoonki.park <yoonki.park@samsung.com> 2015-08-12
* 2.1.228
- ROOTSTRAP: Added "Browse" button to parse .gbs.conf which user selects
- ROOTSTRAP: supported i586 default repository urls
- DEBUG: Improvement attach debug wizard
== donghyuk yang <dong.h.yang@samsung.com> 2015-08-11
* 2.1.227
- INSTALL: supported InstallAs menu
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2015-08-10
* 2.1.226
- source sync from 75 develop
== yoonki.park <yoonki.park@samsung.com> 2015-08-06
* 2.1.225
- source sync from 75 develop
== gune.kim <gune.kim@samsung.com> 2015-07-28
* 2.1.224
- source sync from 75 develop
== gune.kim <gune.kim@samsung.com> 2015-07-28
* 2.1.223
- Add extra snapshot url
== yoonki.park <yoonki.park@samsung.com> 2015-07-27
* 2.1.222
- ROOTSTRAP: Separated wizard dialog
== donghyuk yang <dong.h.yang@samsung.com> 2015-07-27
* 2.1.221
- ROOTSTRAP: Modified constructures of RoostrapGenWizardDialog class
== donghyuk yang <dong.h.yang@samsung.com> 2015-07-27
* 2.1.220
- DEBUG: Added device info view
== yoonki.park <yoonki.park@samsung.com> 2015-07-27
* 2.1.219
- DEBUG: Open choose pid dialog
== yoonki.park <yoonki.park@samsung.com> 2015-07-24
* 2.1.218
- LAUNCH: Fixed bug when launching with configuration
== donghyuk yang <dong.h.yang@samsung.com> 2015-07-22
* 2.1.217
- DEBUG: GDB client is connected with host, not TV.
== donghyuk yang <dong.h.yang@samsung.com> 2015-07-21
* 2.1.216
- LAUNCH: Added --nodeps option to RPM install command
== donghyuk yang <dong.h.yang@samsung.com> 2015-07-21
* 2.1.215
- GDB: checked if signed gdbserver file exist
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2015-07-20
* 2.1.214
- LAUNCH: Updated string messages for launch wizard
- MANIFEST: Added package dependency
- LAUNCH: Changed default launch command to "launch_app"
- PREF: Removed preference page for EFL installation to device.
- DEBUG: GDB connects host ip of emulator if target is remote emulator
- LAUNCH: Project can be launched even though xml file does not exist.
- BUILD: Removed compiler built-in settings. (Temporary)
- LAUNCH: Supported to select packages and install tool when launching
- RBM: Set port number when connecting to remote build system
== donghyuk yang <dong.h.yang@samsung.com> 2015-07-20
* 2.1.212
- DEBUG: Enabled attach debug
- get port number from remote connection dialog
- Add .gitignore file
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2015-07-16
* 2.1.211
- Version up to 2.1.211
== yoonki.park <yoonki.park@samsung.com> 2015-07-06
* 2.1.210
- Fixed open new wizard
== yoonki.park <yoonki.park@samsung.com> 2015-06-28
* 2.1.209
- Merged from RSA
== yoonki.park <yoonki.park@samsung.com> 2015-06-24
* 2.1.204
- COMMANDER: Check RPM file information in directory.
== donghyuk yang <donghyuk.yang@samsung.com> 2014-11-16
* 2.1.203
- TEST: sikuli script is modified about adding comments.
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-11-13
* 2.1.202
- TEST: Sikuli script is modified about underline images.
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-11-12
* 2.1.201
- TEST: sikUli script is modified about adding sleep
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-11-11
* 2.1.200
- TEST: sikuli script is modified about perspective setting.
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-11-07
* 2.1.119
- TEST: sikuli images is modified in ubuntu about rootstrap.
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-11-06
* 2.1.118
- TEST: script is modified in ubuntu64 about covering tooltip.
- TEST: Test script is modified about workspace check
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-11-03
* 2.1.117
- TEST: temporarily ommit running golf image in emulator
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-10-28
* 2.1.116
- DEBUG: Do not need to use ecp client tool for forwaring port
== donghyuk yang <donghyuk.yang@samsung.com> 2014-10-23
* 2.1.115
- TEST: somd scripts is modified about ubuntu
- DEBUG: Uses debugging port which is opened by emulator
== donghyuk yang <donghyuk.yang@samsung.com> 2014-10-22
* 2.1.114
- TEST: ubuntu32 sikuli script is modified about sdkPATH
- TEST: sikuli script update about remote server connection.
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-10-20
* 2.1.113
- BUILD: use p4ConnectionListener instead of dos2unixSpecfile method
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-10-15
* 2.1.112
- PKGRPM: syncService.push() method is called as root privilege.
- BUILD: added auto replace from ^M to empty space
- TEST: Windows64 sikuli script is modified.
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-10-10
* 2.1.111
- LAUNCH: added isRoot(true) in actionBeforeUsingZypper()
- LAUNCH: modified actionBeforeUsingZypper() for sdb root on
- LAUNCH: Always push GdbServer into Target
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-09-18
* 2.1.110
- LAUNCH: Always push GdbServer into Target
- LAUNCH: Refactoring Executor Class Regarding SDB Root on
- TEST: modified sikuli script on taskkill
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-09-12
* 2.1.109
- LAUNCH: Implementation of deleted SDBrooton with Excutor
- DEBUG: Supported emulator port forwarding
- PKGMGR: Resolved package manager install problem in windows.
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-09-05
* 2.1.108
- BUILD: added Perforce library in build.linux
- TEST: modified sikuli script on kill child process.
- LAUNCH: Select SCP or SDB to push package files in windows
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-09-04
* 2.1.107
- TEST: modified sikuli script
- BUILD: added VBS build Provider
- Merge "LAUNCH: Modified local package install command" into develop
- Merge "LAUNCH: Added method for checking packages in remote server." into develop
- Merge "BUILD: load proper Platform_artifact_type" into develop
- Merge "LAUNCH: Do not include project directory in debugging source container" into develop
- BUILD: added VBS build
- LAUNCH: Modified local package install command
- LAUNCH: Added method for checking packages in remote server.
- BUILD: load proper Platform_artifact_type
- LAUNCH: Do not include project directory in debugging source container
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-09-01
* 2.1.106
- TEST : modified taskkill script
- TEST : sikuli doesn't find image on ubuntu
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-08-28
* 2.1.105
- DEBUG: Added preference page for using emulator port forwarding
== donghyuk yang <donghyuk.yang@samsung.com> 2014-08-20
* 2.1.104
- Merge "TEST : modified doubleClick method in sikuli" into develop
- TEST : modified doubleClick method in sikuli
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-08-19
* 2.1.103
- BUILD: Command "dos2unix" for converting dos style of spec file.
== donghyuk yang <donghyuk.yang@samsung.com> 2014-08-19
* 2.1.102
- TEST : added taskkill sikuli script
- INDEX : Set include paths to "CDT User Setting Entries" 
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-08-18
* 2.1.101
- TEST : modified sikuli script form indigo to kepler version. 
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-08-11
* 2.1.100
- LAUNCH: Disable "load library symbol" option when debugging platform library
== donghyuk yang <donghyuk.yang@samsung.com> 2014-08-08
* 2.1.99
- TEST : modified sikuli script about path
- TEST : modified ubuntu64 sikuli script about proxy typing
- TEST : modified ubuntu64 test
- TEST : modified sdk path as global variable
- TEST : add test automation
== jm.jaemin.kim <jm.jaemin.kim@samsung.com> 2014-08-07
* 2.1.98
- MISC: Added perforce plugins
- BUILD: Managed GBS command and path as contant variable.
- PROJ: Supported to convert platform project
- GIT: Applied egit version changes (3.2)
== donghyuk yang <donghyuk.yang@samsung.com> 2014-07-31
* 2.1.97
- Modified package dependency
== jihoon80.song <jihoon80.song@samsung.com> 2014-07-23
* 2.1.96
- Applied common-eplugin's change
== gune.kim <gune.kim@samsung.com> 2014-07-17
* 2.1.95
- MISC: Added macos package information
- BUILD: Replaced user error messages when building without rootstrap.
- MISC: applied to change ITizenProject.java in common-eplugin
== donghyuk yang <donghyuk.yang@samsung.com> 2014-06-18
* 2.1.94
- REMOTE: CONN: Check user home directory
- BUILD : When running a project, Validate architecture of rpm-files
== donghyuk yang <donghyuk.yang@samsung.com> 2014-05-21
* 2.1.93
- DEBUG: COREDUMP: Do not synchronize debug files when coredump debugging.
- DEBUG: COREDUMP: Supported to manage repositories on launch wizard when coredump debugging.
- DEBUG: Supported coredump debugging on windows.
- MISC: Replace private method to public static method for getting rpm files
== donghyuk yang <donghyuk.yang@samsung.com> 2014-05-18
* 2.1.92
- DEBUG: Show error dialog if gdbserver file copy is failed.
== donghyuk yang <donghyuk.yang@samsung.com> 2014-05-13
* 2.1.91
- DEBUG: Use SDB forwarding if target is remote emulator.
- DEBUG: Remove PTP debug plugins
== donghyuk yang <donghyuk.yang@samsung.com> 2014-05-12
* 2.1.90
- VIEW: ROOTSTRAP: Added host ip text control to remote connection dialog.
- DEBUG: Modified sleep time when starting gdb.
- LAUNCH: Check .rpm and .xml files before launching a project
== jaemin kim <jm.jaemin.kim@samsung.com> 2014-05-12
* 2.1.89
- GIT: Uses egit timeout information
- VIEW: ROOTSTRAP: Shows why you insert ssh private and public key in connection dialog.
- VIEW: ROOTSTRAP: Shows connection error in Error log view.
- VIEW: ROOTSTRAP: Verify sudo password when connecting remote server
- PREF: Added preference pages (Build server, Device, Rootstrap)
- VIEW: ROOTSTRAP: Modified error message for rootstrap creation.
- VIEW: ROOTSTRAP: Show pretty message if URL is invalid when creating rootstrap.
- VIEW: ROOTSTRAP: Check to lost SSH connection before view action on windows.
== donghyuk yang <donghyuk.yang@samsung.com> 2014-05-11
* 2.1.88
- SYNC: Remove rsync "--delete" option when synchronizing workspace.
== donghyuk yang <donghyuk.yang@samsung.com> 2014-05-07
* 2.1.87
- LAUNCH: Install app packages and other packages separately in case of EFL application project.
== donghyuk yang <donghyuk.yang@samsung.com> 2014-05-07
* 2.1.86
- DEBUG: Connect device ip address directly when debugging a platform project on device.
- VIEW: ROOTSTRAP: Do not support to use local repository on windows.
== donghyuk yang <donghyuk.yang@samsung.com> 2014-05-06
* 2.1.85
- VIEW: ROOTSTRAP: Supported to open debug source in rootstrap view in ubuntu.
- VIEW: ROOTSTRAP: Set "Generate rootstrap immediately" button as default.
- ROOTSTRAP: Supported to add extra repositories when rootstrap creation.
- SYNC: Asks user about synchronization include & debug files between remote server and local.
- LAUNCH: Install packages to rootstrap and device using multi threads.
- BUILD: Get package information as a RPM command.
- VIEW: ROOTSTRAP: Supported to open debug source in rootstrap view in windows.
- LAUNCH: Added "Load shared library symbols automatically" option to launch wizard.
- LAUNCH: Cached package information after building a project.
- MISC: Transfer SSH private key to device when device is connected.
- DEBUG: Set smack rule when debugging a project. Removed repository initializing process whenever launching a project.
== donghyuk yang <donghyuk.yang@samsung.com> 2014-05-06
* 2.1.84
- RDS: Resolved getting checksum issue.
- LAUNCH: Transfer packages from remote build server to emulator(device) when launching a project
== donghyuk yang <donghyuk.yang@samsung.com> 2014-05-02
* 2.1.83
- MISC: Added feature.properties and modified feature.xml
== donghyuk yang <donghyuk.yang@samsung.com> 2014-05-01
* 2.1.82
- BUILD: Passed --dist option when building a project if rootstrap has local repository
- MANIFEST: Exported some packages
== donghyuk yang <donghyuk.yang@samsung.com> 2014-05-01
* 2.1.81
- BUILD: SYNC: Support to synchronize projects and modified some modules
- MISC: Fixed file checking problem.
== donghyuk yang <donghyuk.yang@samsung.com> 2014-04-30
* 2.1.80
- LOGGER: Added user interaction log for checkign performance
== donghyuk yang <donghyuk.yang@samsung.com> 2014-04-29
* 2.1.79
- LAUNCH: Supported RDS (debug as) and insert user logger for checkingperformance
- LAUNCH: Modified debug source container for supporting windows
== donghyuk yang <donghyuk.yang@samsung.com> 2014-04-27
* 2.1.78
- DEBUG: Supported debugging on windows
- SYNC: Check workspace is already synchronize
- LAUNCH: Supported RDS(run as) on windows
== donghyuk yang <donghyuk.yang@samsung.com> 2014-04-27
* 2.1.77
- LOG: Added logger code to check performance  supportwin
- MISC: Supported windows package build
- MISC: Added plugins for supporting windows
- BUILD: Supported remote build
- Remote: Interface: Added remote command interface
- View: Rootstrap: Added connection module
- BUILD: Removed SBI process when building a platform project.
- DEBUG: COREDUMP: Modified coredump wizard page.
- MISC: Added feature.properties
== donghyuk yang <donghyuk.yang@samsung.com> 2014-04-27
* 2.1.76
- BUILD: Passed --dist option to gbs when building a project based on local
repository
== donghyuk yang <donghyuk.yang@samsung.com> 2014-04-25
* 2.1.75
- LAUNCH: Removed method for getting program path by application id
== donghyuk yang <donghyuk.yang@samsung.com> 2014-04-21
* 2.1.74
- DEBUG: Set smack rule when debugging a project
== donghyuk yang <donghyuk.yang@samsung.com> 2014-04-21
* 2.1.73
- BUILD: Removed SBI process when building a platform project.
- DEBUG: COREDUMP: Modified coredump wizard page.
== donghyuk yang <donghyuk.yang@samsung.com> 2014-04-16

* 2.1.72
- MISC: Resolved dereference null return value
== donghyuk yang <donghyuk.yang@samsung.com> 2014-03-30
* 2.1.71
- MISC: Modified xml file for default include path
- BUILD: INDEX: Modified default include directories
== donghyuk yang <donghyuk.yang@samsung.com> 2014-03-29
* 2.1.70
- LAUNCH: Supported setting command, arguments and environments when launching
- LAUNCH: Supported setting .core and .cs file when coredump debugging.
- BUILD: CONF: Added "BUILD_TYPE" environment variable
- BUILD: CONF: Supported Debug, Release build configuration for multiple architecture.
- BUILD: support to pass build environment to build process
- XML: PACKAGING: Modified GBS build command
== donghyuk yang <donghyuk.yang@samsung.com> 2014-03-29
* 2.1.69
- ROOTSTRAP: DLG: Validate information for creating rootstrap
== donghyuk yang <donghyuk.yang@samsung.com> 2014-03-03
* 2.1.68
- MISC: Added package install dependency for nativeappcommon-eplugin
== donghyuk yang <donghyuk.yang@samsung.com> 2014-02-25
* 2.1.67
- WIZARD: Use project wizard to create tizen platform project from normal git project.
- LAUNCH: Print log to console view in case of executing a binary.
== donghyuk yang <donghyuk.yang@samsung.com> 2014-02-24
* 2.1.66
- PKGMGR: Show the latest packages on package manager
- MISC: Removed unused method
== donghyuk yang <donghyuk.yang@samsung.com> 2014-02-18
* 2.1.65
- EDITOR: Removed a function for validating .spec file
== donghyuk yang <donghyuk.yang@samsung.com> 2014-02-10
* 2.1.64
- EDITOR: Added dependency plugin for spec file editor plugin
== donghyuk yang <donghyuk.yang@samsung.com> 2014-02-05
* 2.1.63
- EDITOR: Added editor plugin for RPM .spec file.
== donghyuk yang <donghyuk.yang@samsung.com> 2014-02-05
* 2.1.62
- PKGMGR: Improved in processing speed of repository management.
== donghyuk yang <donghyuk.yang@samsung.com> 2014-02-03
* 2.1.61
- PREF: SITECONF: Removed proxy setting which is used by site configuration
- VIEW: ROOTSTRAP: Check "ruby" package before creating a new rootstrap
== donghyuk yang <donghyuk.yang@samsung.com> 2014-01-20
* 2.1.60
- DEBUG: COREDUMP: Supported a different .cs format (package information)
- LAUNCH: Processing launching the application having two .xml files
- PREF: Disable SSL cert validation
== donghyuk yang <donghyuk.yang@samsung.com> 2014-01-20
* 2.1.59
- Fixed to use LaunchUtils to find available port
== kh5325.kim <kh5325.kim@samsung.com> 2014-01-15
* 2.1.58
- MISC: Changed message bundle key by nativecommon's change
== kh5325.kim <kh5325.kim@samsung.com> 2013-12-13
* 2.1.57
- PKGMGR: Supported repository priority
- TEST: Modified test shell script
== donghyuk yang <donghyuk.yang@samsung.com> 2013-12-03
* 2.1.56
- LAUNCH: Packaging project before checking rootstrap initializing
== donghyuk yang <donghyuk.yang@samsung.com> 2013-12-02
* 2.1.55
- LAUNCH: Set device root on automatically when launching project
- PREF: Fixed bug for checking null
- MISC: Improved code quality
- MISC: Modified package build script
== donghyuk yang <donghyuk.yang@samsung.com> 2013-11-29
* 2.1.54
- EXTRAFILE: Added xml file for include path of arm platform
- PREF: Import include paths as build configuration and set default indexer
== donghyuk yang <donghyuk.yang@samsung.com> 2013-11-27
* 2.1.53
- COMMANDER: Set timeout 10000ms in case of refreshing repos and listing packages
== donghyuk yang <donghyuk.yang@samsung.com> 2013-11-27
* 2.1.52
- COMMANDER: Set timeout value from preference value
- PKGMGR: Modified height of repository group
- BUILD: Rebuild source index after building the project
== donghyuk yang <donghyuk.yang@samsung.com> 2013-11-26
* 2.1.51
- LAUNCH: Supported to sort table columns in coredump wizard page
- LAUNCH: Check the device is root on only when normal debugging
== donghyuk yang <donghyuk.yang@samsung.com> 2013-11-24
* 2.1.50
- MISC: Modified pkginfo.manifest
== donghyuk yang <donghyuk.yang@samsung.com> 2013-11-23
* 2.1.49
- MISC: Removed org.tizen.nativecpp.ext.csviewer dependency
== donghyuk yang <donghyuk.yang@samsung.com> 2013-11-23
* 2.1.48
- LAUNCH: Supported coredump debugging
== donghyuk yang <donghyuk.yang@samsung.com> 2013-11-23
* 2.1.47
- MISC: Improved code quality
- PROJ: WZD: Supported to create project on multi-profile
- PROPS: Modified platform default include path
== donghyuk yang <donghyuk.yang@samsung.com> 2013-11-18
* 2.1.46
- COMMANDER: Do not need to change smack if there is no access permission
== donghyuk yang <donghyuk.yang@samsung.com> 2013-11-05
* 2.1.45
- LAUNCHER: Assign .debug file directly when debugging attach
- LAUNCHER: Run EFL application after killing the process if it is running
== donghyuk yang <donghyuk.yang@samsung.com> 2013-11-05
* 2.1.44
- LAUNCHER: Use expect script when generating new rootstrapy
== donghyuk yang <donghyuk.yang@samsung.com> 2013-11-03
* 2.1.43
- LAUNCHER: Refactoring launch delegate and shortcut
== donghyuk yang <donghyuk.yang@samsung.com> 2013-11-03
* 2.1.42
- CMDLAUNCH: Imporve monitor cancel process
- PWDDLG: Changed password input dialog to input wizard
- PWDDLG: Added API for verifying super-user password
- PWDDLG: Added process for verifying super-user password
- WIZARD: Fixed a problem for moving control through tab key
== donghyuk yang <donghyuk.yang@samsung.com> 2013-11-02
* 2.1.41
- Modified test workspace
== donghyuk yang <donghyuk.yang@samsung.com> 2013-10-29
* 2.1.40
- Modified test workspace
== donghyuk yang <donghyuk.yang@samsung.com> 2013-10-28
* 2.1.39
- Disable "tip of the day" when testing platform ide
- Supported RDS
- Fixed a problem that "Text and Text box" are not seen property in "Generate rootstrap" dialog
- Fixed a problem that Platform Project can't be created after closing the Tizen Platform perspective.
- Hide help icon on launch wizard
== donghyuk yang <donghyuk.yang@samsung.com> 2013-10-25
* 2.1.38
- Added sikuli test
- Bring test.sh from common-eplugin
== donghyuk yang <donghyuk.yang@samsung.com> 2013-10-23
* 2.1.37
- Hide help icon on launch wizard
- Fixed the problem which extra packages are not cleared
== donghyuk yang <donghyuk.yang@samsung.com> 2013-10-14
* 2.1.36
- Added about files
== donghyuk yang <donghyuk.yang@samsung.com> 2013-10-01
* 2.1.35
- Supported to show package properties on package manager
== donghyuk yang <donghyuk.yang@samsung.com> 2013-09-30
* 2.1.34
- Exception skip: Ubuntu 12.04 browser compatibility problem
== donghyuk yang <donghyuk.yang@samsung.com> 2013-09-05
* 2.1.33
- Added org.tizen.common.project.adapter extension for ProjectUtil#getTizenProject()
== kh5325.kim <kh5325.kim@samsung.com> 2013-08-30
* 2.1.32
- applied common-eplugin's change
== kh5325.kim <kh5325.kim@samsung.com> 2013-08-30
* 2.1.31
- Added cmake editor plugin (except site.xml)
== donghyuk yang <donghyuk.yang@samsung.com> 2013-08-28
* 2.1.30
- Removed cmake editor plugin
== donghyuk yang <donghyuk.yang@samsung.com> 2013-08-27
* 2.1.29
- Added cmake editor plugin
- Supported to import platform project
== donghyuk yang <donghyuk.yang@samsung.com> 2013-08-27
* 2.1.28
- Refactoring (collection type)
- Added default platform includes
== donghyuk yang <donghyuk.yang@samsung.com> 2013-08-23
* 2.1.27
- Fixed to use NewProjectChecker
== kh5325.kim <kh5325.kim@samsung.com> 2013-08-12
* 2.1.26
- Refactored wizard to common model
== kh5325.kim <kh5325.kim@samsung.com> 2013-08-09
* 2.1.25
- Modified test meta package attribute (root -> test)
== donghyuk yang <donghyuk.yang@samsung.com> 2013-08-06		
* 2.1.24
- Refactored PWComposite to common
== kh5325.kim <kh5325.kim@samsung.com> 2013-08-02
* 2.1.23
- Applied common wizard changing
== donghyuk yang <donghyuk.yang@samsung.com> 2013-08-01
* 2.1.22
- Added meta-nativeplatform-elugin-test package
== donghyuk yang <donghyuk.yang@samsung.com> 2013-07-31
* 2.1.21
- Fixed pkginfo.manifest problem
== donghyuk yang <donghyuk.yang@samsung.com> 2013-07-31
* 2.1.20
- Added sikuli test script
== donghyuk yang <donghyuk.yang@samsung.com> 2013-07-31
* 2.1.19
- Fixed GBS version parsing error
- Added logger for performance
== donghyuk yang <donghyuk.yang@samsung.com> 2013-07-31
* 2.1.18
- Refactoring as Protex's result
- Launch refactoring
- Added default include path
- Supported header tracing (set default includes from xml)
== kh5325.kim <kh5325.kim@samsung.com> 2013-07-31
* 2.1.17
- Applied changing GBS buildroot path
== kh5325.kim <kh5325.kim@samsung.com> 2013-06-19
* 2.1.16
- Fixed missing buildRunner for building platform project
== donghyuk yang <donghyuk.yang@samsung.com> 2013-06-12
* 2.1.15
- Supported header tracing
== donghyuk yang <donghyuk.yang@samsung.com> 2013-06-12
* 2.1.14
- Applied changing sdblib
== donghyuk yang <donghyuk.yang@samsung.com> 2013-06-11
* 2.1.13
- Applied changing installer for multi-SDK
== donghyuk yang <donghyuk.yang@samsung.com> 2013-06-10
* 2.1.12
- Modified PackageListener & CommonProjectDependentPackager#buildPackage()
== kh5325.kim <kh5325.kim@samsung.com> 2013-06-04
* 2.1.11
- Refactoring sdblib
== kh5325.kim <kh5325.kim@samsung.com> 2013-06-04
* 2.1.10
- Removed express mode (IDE uses only normal CDT wizard mode)
== kh5325.kim <kh5325.kim@samsung.com> 2013-05-29
* 2.1.9
- Refactored to sdblib
== kh5325.kim <kh5325.kim@samsung.com> 2013-05-23
* 2.1.8
- Refactored to sdblib
== kh5325.kim <kh5325.kim@samsung.com> 2013-05-23
* 2.1.7
- Refactored to sdblib
== kh5325.kim <kh5325.kim@samsung.com> 2013-05-22
* 2.1.6
- Added base-ide-product-add-ons dependency for EGit
== kh5325.kim <kh5325.kim@samsung.com> 2013-05-06
* 2.1.5
- applied new method that get app's installation path.
- Changed version from tizen2.0 to tizen2.1
- Fixed sonar violations
- Modified initializing string in proxy url parser
- Fixed bug for running gdbserver through sdb
- Support platform debugging on SMACK
- Added solib-search-path for "/usr/bin" and "/usr/lib" when attach debugging
== donghyuk yang <donghyuk.yang@samsung.com> 2013-04-19
* 2.1.4
- Fixed a wrong label
- Process architecture before creating new rootstrap
- Added annotation
== donghyuk yang <donghyuk.yang@samsung.com> 2013-03-18
* 2.1.3
- Modified supported toolchain type from tizen.obs to tizen.platform
== donghyuk yang <donghyuk.yang@samsung.com> 2013-03-18
* 2.1.2
- Changed version from tizen2.0 to tizen2.1
== donghyuk yang <donghyuk.yang@samsung.com> 2013-03-18
* 2.1.1
- Version up for Tizen 2.1 dist
== donghee yang <donghee.yang@samsung.com> 2013-03-15
* 2.1.0
- 2.1 package
- Set nature and show platform launch menus just on platform project
== donghyuk yang <donghyuk.yang@samsung.com> 2013-03-10
* 1.0.52
- Removed TizenDebianLaunchDelegateForCore class
- Check rootstrap is initialized before packaging and launching
== donghyuk yang <donghyuk.yang@samsung.com> 2013-03-08
* 1.0.51
- Supported local package repository
- Fixed bug for installing package to rootstrap if proxy is null
== donghyuk yang <donghyuk.yang@samsung.com> 2013-03-07
* 1.0.50
- Fixed bug for displaying new version on installed version field
== donghyuk yang <donghyuk.yang@samsung.com> 2013-02-22
* 1.0.49
- Return null if device execution log is null
- Implements proxy url parser
== donghyuk yang <donghyuk.yang@samsung.com> 2013-02-22
* 1.0.48
- Modified plugin Provider and name
== donghyuk yang <donghyuk.yang@samsung.com> 2013-02-20
* 1.0.47
- Fixed bug for comparing GBS version
== donghyuk yang <donghyuk.yang@samsung.com> 2013-02-08
* 1.0.46
- Added EnternalBuildRunner for building platform project
== donghyuk yang <donghyuk.yang@samsung.com> 2013-02-04
* 1.0.45
- Add naming condition in project renaming
== donghyuk yang <donghyuk.yang@samsung.com> 2013-01-28
* 1.0.44
- Fixed a bug for cancel action on import dialog
== donghyuk.yang <donghyuk.yang@samsung.com> 2013-01-21
* 1.0.43
- Modified export/import rootstrap process
== donghyuk.yang <donghyuk.yang@samsung.com> 2013-01-21
* 1.0.42
- Added --nodeps --ignorearch option to rpm when installing local package
== donghyuk yang <donghyuk.yang@samsung.com> 2013-01-16
* 1.0.41
- Removed AgentProject template
== donghyuk.yang <donghyuk.yang@samsung.com> 2013-01-14
* 1.0.40
- Fixed a bug about exporting/import failure by localized rootstrap path
- Modified to show more info when process fail
== donghee yang <donghee.yang@samsung.com> 2013-01-09
* 1.0.39
- Merged latest changes
== kh5325.kim <kh5325.kim@samsung.com> 2013-01-08
* 1.0.38
- Added --incremental option to GBS as default
== gune.kim <gune.kim@samsung.com> 2013-01-04 19:22
* 1.0.37
- Added Boilerplate
- Added --incremental option to GBS tool as default option
== donghyuk.yang <donghyuk.yang@samsung.com> 2013-01-04
* 1.0.36
- Fixed a bug on gbs version checking
- Fixed bug that sbi plugin-id does not allow dot(.)
- Fixed invalid thread access bug when "Build Project"
- Excluded sources when exporting rootstrap
== donghee yang <donghee.yang@samsung.com> 2012-12-28
* 1.0.35
- Applied New GBS option 
== donghee yang <donghee.yang@samsung.com> 2012-12-27
* 1.0.34
- Add wizard preference page
== ho.namkoong <ho.namkoong@samsung.com> 2012-12-21
* 1.0.33
- Merge branch "develop" into release
- [develop] Reinitialize SBI after adding and removing rootstrap
- Fix express mode bug in platform wizard
- Reinitialize SBI after adding and removing rootstrap
== donghyuk.yang <donghyuk.yang@samsung.com> 2012-12-18
* 1.0.32
- Merge branch "develop" into release
- [develop] Added property tab for GBS Options
- [develop] emoved Sample tab from project wizard
- [develop] Added build config action set
- [develop] Check to exist GBS tool
== donghyuk.yang <donghyuk.yang@samsung.com> 2012-12-18
* 1.0.31
- Removed launch menu of Package Manager
== donghyuk.yang <donghyuk.yang@samsung.com> 2012-12-05
* 1.0.30
- Removed macos-64 from supported OS
== donghee yang <donghee.yang@samsung.com> 2012-11-28
* 1.0.28
- Merge branch "develop" into release
== donghyuk.yang <donghyuk.yang@samsung.com> 2012-11-26
* 1.0.27
- Hide preference page for git config and added filter for proxy port
== donghyuk.yang <donghyuk.yang@samsung.com> 2012-11-03
* 1.0.26
- Rollback status of package manager before latest merging
- Fixed a bug for setting rootstrap path to xml file when modify rootstrap
== donghyuk.yang <donghyuk.yang@samsung.com> 2012-11-03
* 1.0.25
- Merged latest changes
- [develop] Fixed a bug that project from git is not working when using schema in base uri
- [develop] Check a mismatch architecture between rootstrap and configuration when selecting rootstrap
- [develop] Changed base directory of user rootstraps to "~/tizen-sdk-data"
- [develop] Removed double quotation marks from wizard title and description
= donghyuk.yang <donghyuk.yang@samsung.com> 2012-11-23
* 1.0.24
- Added dis upgrade feature to package manager
- [develop] Modified method for passing environment variables to command launcher
== donghyuk.yang <donghyuk.yang@samsung.com> 2012-11-22
* 1.0.23
- [develop] Added question dialog if rootstrap is not initialized
- [develop] Do not pass rootstrap name and arch arguments to sbi action script
== donghyuk.yang <donghyuk.yang@samsung.com> 2012-11-21
* 1.0.22
- [develop] Release for test
== donghee.yang <donghee.yang@samsung.com> 2012-11-21
* 1.0.21
- [develop] Applied new Platfrom SDK concept
== ho.namkoong <ho.namkoong@samsung.com> 2012-11-15 15:39
* 1.0.20
- [develop] Create fundamental folder when creating native project
== ho.namkoong <ho.namkoong@samsung.com> 2012-11-15 15:39
